### Hierarchy

- WalletManagerImpl

### Implements

- WalletManager

## Index

### Constructors

- constructor

### Properties

- DATA_KEY_ETH_WALLETS
- DATA_KEY_ETH_WEALTH_VALIDATOR
- DATA_KEY_WEALTH

### Methods

- addWealthValidator
- createWalletsRecords
- refreshWealthPtr
- validateWallets

## Constructors

### constructor

- new WalletManagerImpl(profileManager: ProfileManager, dataRequestManager: DataRequestManager, baseSchema: BaseSchema, messageSigner: MessageSigner, authAccountBehavior: Observable<Account>): WalletManagerImpl

- - Defined in manager/WalletManagerImpl.ts:23

  #### Parameters

  - ##### profileManager: ProfileManager

  - ##### dataRequestManager: DataRequestManager

  - ##### baseSchema: BaseSchema

  - ##### messageSigner: MessageSigner

  - ##### authAccountBehavior: Observable<Account>

  #### Returns WalletManagerImpl

## Properties

### Static DATA_KEY_ETH_WALLETS

DATA_KEY_ETH_WALLETS: string = "eth_wallets"

- Defined in manager/WalletManagerImpl.ts:15

### Static DATA_KEY_ETH_WEALTH_VALIDATOR

DATA_KEY_ETH_WEALTH_VALIDATOR: string = "ethwealthvalidator"

- Defined in manager/WalletManagerImpl.ts:16

### Static DATA_KEY_WEALTH

DATA_KEY_WEALTH: string = "wealth"

- Defined in manager/WalletManagerImpl.ts:17

## Methods

### addWealthValidator

- addWealthValidator(validatorPbKey: string): Promise<void>

- Implementation of WalletManager.addWealthValidator

  - Defined in manager/WalletManagerImpl.ts:69

  #### Parameters

  - ##### validatorPbKey: string

  #### Returns Promise<void>

### createWalletsRecords

- createWalletsRecords(wallets: AddrRecord[], baseID: string): Promise<WalletsRecords>

- Implementation of WalletManager.createWalletsRecords

  - Defined in manager/WalletManagerImpl.ts:41

  #### Parameters

  - ##### wallets: AddrRecord[]

  - ##### baseID: string

  #### Returns Promise<WalletsRecords>

### refreshWealthPtr

- refreshWealthPtr(): Promise<WealthPtr>

- Implementation of WalletManager.refreshWealthPtr

  - Defined in manager/WalletManagerImpl.ts:82

  #### Returns Promise<WealthPtr>

### validateWallets

- validateWallets(walletRecords: WalletsRecords): boolean

- Implementation of WalletManager.validateWallets

  - Defined in manager/WalletManagerImpl.ts:127

  #### Parameters

  - ##### walletRecords: WalletsRecords

  #### Returns boolean

Generated using TypeDoc